#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 1.11 
# Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.

# This configure script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This script is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Save the original args to write them into config.status later.
configure_args="$*"

# Only options that might do something get documented.
ac_usage="Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
--build=BUILD		configure for building on BUILD [BUILD=HOST]
--disable-FEATURE	do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG]	include FEATURE [ARG=yes]
--exec-prefix=PREFIX	install host dependent files in PREFIX [/usr/local]
--help			print this message
--host=HOST		configure for HOST [guessed]
--prefix=PREFIX		install host independent files in PREFIX [/usr/local]
--quiet, --silent	do not print \`checking for...' messages
--srcdir=DIR		find the sources in DIR [configure dir or ..]
--target=TARGET		configure for TARGET [TARGET=HOST]
--verbose		print results of checks
--version		print the version of autoconf that created configure
--with-PACKAGE[=ARG]	use PACKAGE [ARG=yes]
--without-PACKAGE	do not use PACKAGE (same as --with-PACKAGE=no)
--x-includes=DIR	X include files are in DIR
--x-libraries=DIR	X library files are in DIR"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
exec_prefix=
host=NONE
no_create=
nonopt=NONE
norecursion=
prefix=
program_prefix=
program_suffix=
program_transform_name=
silent=
srcdir=
target=NONE
verbose=
x_includes=
x_libraries=

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  # Accept (but ignore some of) the important Cygnus configure
  # options, so we can diagnose typos.

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  case "$ac_option" in

  -build | --build | --buil | --bui | --bu | --b)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
    build="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  # For backward compatibility, recognize -exec-prefix and --exec_prefix.
  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    with_gas=yes ;; # Obsolete; use --with-gas.

  -help | --help | --hel | --he)
    cat << EOF
$ac_usage
EOF
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    with_fp=no ;; # Obsolete; use --without-fp.

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
    norecursion=yes ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 1.11"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x) with_x=yes ;; # Obsolete; use --with-x.

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
    ;;

  *) 
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" >&2
    fi
    if test "x$nonopt" != xNONE; then
      echo "configure: can only configure for one host and one target at a time" >&2; exit 1
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  echo "configure: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
fi

trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
trap 'rm -fr confdefs* $ac_clean_files' 0

# Save the original args if we used an alternate arg parser.
ac_configure_temp="${configure_args-$*}"
# Strip out --no-create and --norecursion so they don't pile up.
configure_args=
for ac_arg in $ac_configure_temp; do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
  *) configure_args="$configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = 'set'; then LANG=C;   export LANG;   fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=mawk.h

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then `..'.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test x$ac_srcdir_defaulted = xyes; then
    echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
  else
    echo "configure: can not find sources in ${srcdir}" >&2; exit 1
  fi
fi
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CPP}'
ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'


compile_c='${CC-cc} -c $CFLAGS $DEFS >/dev/null 2>&1'
compile_c_err='${CC-cc} -c $CFLAGS $DEFS >/dev/null 2>conftest.out'







cat < /dev/null > defines.out
test -f config.user && . ./config.user
if test -z "$CC"; then
  # Extract the first word of `gcc', so it can be a program name with args.
  set ac_dummy gcc; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      CC="gcc"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$CC" && CC="cc"
test -n "$CC" && test -n "$verbose" && echo "	setting CC to $CC"

# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
#ifdef __GNUC__
  yes
#endif
EOF
${CC-cc} -E conftest.c > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
  GCC=1 # For later tests.
fi
rm -f conftest*

test -n "$silent" || echo "checking how to run the C preprocessor"
if test -z "$CPP"; then
  # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and ``${CC-cc}'' will simply confuse
  # make.  It must be expanded now.
  CPP="${CC-cc} -E"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CPP="${CC-cc} -E -traditional-cpp"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
rm -f conftest*
fi
test -n "$verbose" && echo "	setting CPP to $CPP"

test "$CFLAGS" = "" && CFLAGS=-O 

if test "X${MATHLIB}X" = "XX" ; then
ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lm"
ac_have_lib=""
test -n "$silent" || echo "checking for -lm"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; MATHLIB=-lm ; LIBS="$LIBS -lm"
else
   :; echo cannot find a math library 1>&2
echo You need to set MATHLIB in config.user 1>&2
exit 1
fi

fi


for ac_prog in byacc bison yacc
do
if test -z "$YACC"; then
  # Extract the first word of `$ac_prog', so it can be a program name with args.
  set ac_dummy $ac_prog; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      YACC="$ac_prog"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi

test -n "$YACC" && test -n "$verbose" && echo "	setting YACC to $YACC"

test -n "$YACC" && break
done

test "$YACC" = bison && YACC='bison -y'

if test "$GCC" != 1 ; then
echo checking compiler for 'void*' and prototypes
cat >conftest.c <<'EOF'
char *cp;
void *foo();
main()
{
  cp = foo();
}
EOF
eval $compile_c_err conftest.c 
status=$?
if test "$status" != 0 || test -s conftest.out
then 
   
{
test -n "$verbose" && \
echo "	defining NO_VOID_STAR"
echo "#define" NO_VOID_STAR "1" >> confdefs.h
DEFS="$DEFS -DNO_VOID_STAR=1"
}

echo  X 'NO_VOID_STAR' '1' >> defines.out
fi
rm -f conftest.*

cat > conftest.c <<EOF
int x(char*);
EOF
if eval $compile_c conftest.c
then :
else
   
{
test -n "$verbose" && \
echo "	defining NO_PROTOS"
echo "#define" NO_PROTOS "1" >> confdefs.h
DEFS="$DEFS -DNO_PROTOS=1"
}

echo  X 'NO_PROTOS' '1' >> defines.out
fi
rm -f conftest.c
fi
ac_prog='/* Ultrix mips cc rejects this.  */
typedef int charset[2]; const charset x;
/* SunOS 4.1.1 cc rejects this.  */
char const *const *ccp;
char **p;
/* AIX XL C 1.02.0.0 rejects this.
   It does not let you subtract one const X* pointer from another in an arm
   of an if-expression whose if-part is not a constant expression */
const char *g = "string";
ccp = &g + (g ? g-g : 0);
/* HPUX 7.0 cc rejects these. */
++ccp;
p = (char**) ccp;
ccp = (char const *const *) p;
{ /* SCO 3.2v4 cc rejects this.  */
  char *t;
  char const *s = 0 ? (char *) 0 : (char const *) 0;

  *t++ = 0;
}
{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
  int x[] = {25,17};
  const int *foo = &x[0];
  ++foo;
}
{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
  typedef const int *iptr;
  iptr p = 0;
  ++p;
}
{ /* AIX XL C 1.02.0.0 rejects this saying
     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
  struct s { int j; const int *ap[3]; };
  struct s *b; b->j = 5;
}
{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
  const int foo = 10;
}'
test -n "$silent" || echo "checking for lack of working const"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { $ac_prog; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" const to be empty
echo "#define" const "" >> confdefs.h
DEFS="$DEFS -Dconst="
}

fi
rm -f conftest*

if echo "$DEFS" | egrep const >/dev/null ; then
echo  X 'const' '' >> defines.out   
fi


  if test "$size_t_defed" != 1 ; then
   test -n "$silent" || echo "checking for stddef.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stddef.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  size_t_header=ok

fi
rm -f conftest*

   if test "$size_t_header" = ok ; then
   cat > conftest.c <<EOF

#include <stddef.h>
size_t *n ;

EOF
if eval $compile_c conftest.c
then 
   size_t_defed=1;
echo  X 'SIZE_T_STDDEF_H' '1' >> defines.out
echo getting size_t from '<stddef.h>'
fi
rm -f conftest.c
fi;fi

  if test "$size_t_defed" != 1 ; then
   test -n "$silent" || echo "checking for sys/types.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  size_t_header=ok

fi
rm -f conftest*

   if test "$size_t_header" = ok ; then
   cat > conftest.c <<EOF

#include <sys/types.h>
size_t *n ;

EOF
if eval $compile_c conftest.c
then 
   size_t_defed=1;
echo  X 'SIZE_T_TYPES_H' '1' >> defines.out
echo getting size_t from '<sys/types.h>'
fi
rm -f conftest.c
fi;fi

test -n "$silent" || echo "checking for fcntl.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <fcntl.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_FCNTL_H"
echo "#define" NO_FCNTL_H "1" >> confdefs.h
DEFS="$DEFS -DNO_FCNTL_H=1"
}

echo  X 'NO_FCNTL_H' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for errno.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <errno.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_ERRNO_H"
echo "#define" NO_ERRNO_H "1" >> confdefs.h
DEFS="$DEFS -DNO_ERRNO_H=1"
}

echo  X 'NO_ERRNO_H' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for time.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <time.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_TIME_H"
echo "#define" NO_TIME_H "1" >> confdefs.h
DEFS="$DEFS -DNO_TIME_H=1"
}

echo  X 'NO_TIME_H' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for stdarg.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdarg.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_STDARG_H"
echo "#define" NO_STDARG_H "1" >> confdefs.h
DEFS="$DEFS -DNO_STDARG_H=1"
}

echo  X 'NO_STDARG_H' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for limits.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <limits.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_LIMITS_H"
echo "#define" NO_LIMITS_H "1" >> confdefs.h
DEFS="$DEFS -DNO_LIMITS_H=1"
}

echo  X 'NO_LIMITS_H' '1' >> defines.out
fi
rm -f conftest*

test -n "$silent" || echo "checking for memcpy"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_memcpy) || defined (__stub___memcpy)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char memcpy(); memcpy();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NO_MEMCPY"
echo "#define" NO_MEMCPY "1" >> confdefs.h
DEFS="$DEFS -DNO_MEMCPY=1"
}

echo  X 'NO_MEMCPY' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for strchr"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_strchr) || defined (__stub___strchr)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char strchr(); strchr();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NO_STRCHR"
echo "#define" NO_STRCHR "1" >> confdefs.h
DEFS="$DEFS -DNO_STRCHR=1"
}

echo  X 'NO_STRCHR' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for strerror"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_strerror) || defined (__stub___strerror)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char strerror(); strerror();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NO_STRERROR"
echo "#define" NO_STRERROR "1" >> confdefs.h
DEFS="$DEFS -DNO_STRERROR=1"
}

echo  X 'NO_STRERROR' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for vfprintf"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_vfprintf) || defined (__stub___vfprintf)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char vfprintf(); vfprintf();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NO_VFPRINTF"
echo "#define" NO_VFPRINTF "1" >> confdefs.h
DEFS="$DEFS -DNO_VFPRINTF=1"
}

echo  X 'NO_VFPRINTF' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for strtod"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_strtod) || defined (__stub___strtod)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char strtod(); strtod();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NO_STRTOD"
echo "#define" NO_STRTOD "1" >> confdefs.h
DEFS="$DEFS -DNO_STRTOD=1"
}

echo  X 'NO_STRTOD' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for fmod"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_fmod) || defined (__stub___fmod)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char fmod(); fmod();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NO_FMOD"
echo "#define" NO_FMOD "1" >> confdefs.h
DEFS="$DEFS -DNO_FMOD=1"
}

echo  X 'NO_FMOD' '1' >> defines.out
fi
rm -f conftest*
 
test -n "$silent" || echo "checking for matherr"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_matherr) || defined (__stub___matherr)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char matherr(); matherr();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NO_MATHERR"
echo "#define" NO_MATHERR "1" >> confdefs.h
DEFS="$DEFS -DNO_MATHERR=1"
}

echo  X 'NO_MATHERR' '1' >> defines.out
fi
rm -f conftest*


echo '#include "confdefs.h"
#include <stdio.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "[^v]fprintf" conftest.out >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_FPRINTF_IN_STDIO"
echo "#define" NO_FPRINTF_IN_STDIO "1" >> confdefs.h
DEFS="$DEFS -DNO_FPRINTF_IN_STDIO=1"
}

echo  X 'NO_FPRINTF_IN_STDIO' '1' >> defines.out
fi
rm -f conftest*

echo '#include "confdefs.h"
#include <stdio.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "[^v]sprintf" conftest.out >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_SPRINTF_IN_STDIO"
echo "#define" NO_SPRINTF_IN_STDIO "1" >> confdefs.h
DEFS="$DEFS -DNO_SPRINTF_IN_STDIO=1"
}

echo  X 'NO_SPRINTF_IN_STDIO' '1' >> defines.out
fi
rm -f conftest*


# find the value of max int
if grep NO_LIMITS_H defines.out >/dev/null
then
test -n "$silent" || echo "checking for values.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <values.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  maxint_set=1

fi
rm -f conftest*

else
maxint_set=1  # from limits.h
fi

if test "$maxint_set" != 1 ; then
# compute it  --  assumes two's complement
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
int main()
{ int y ; long yy ;
  FILE *out ;

    if ( !(out = fopen("maxint.out","w")) ) exit(1) ;
    /* find max int and max long */
    y = 0x1000 ;
    while ( y > 0 ) y *= 2 ;
    fprintf(out,"X MAX__INT 0x%x\n", y-1) ;
    yy = 0x1000 ;
    while ( yy > 0 ) yy *= 2 ;
    fprintf(out,"X MAX__LONG 0x%x\n", yy-1) ;
    exit(0) ;
    return 0 ;
 }
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  cat maxint.out >> defines.out ; rm -f maxint.out

fi
rm -fr conftest*
fi ;

test "$BINDIR" = "" && BINDIR=/usr/local/bin 

test "$MANDIR" = "" && MANDIR=/usr/local/man/man1 

test "$MANEXT" = "" && MANEXT=1 


test -n "$silent" || echo "checking for return type of signal handlers"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
#ifdef signal
#undef signal
#endif
extern void (*signal ()) ();
int main() { return 0; }
int t() { int i;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" RETSIGTYPE to be "void"
echo "#define" RETSIGTYPE "void" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=void"
}


else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" RETSIGTYPE to be "int"
echo "#define" RETSIGTYPE "int" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=int"
}

fi
rm -f conftest*



######## the dreaded fpe tests
echo checking handling of floating point exceptions
rm -f fpe_check
$CC $DEFS -o fpe_check fpe_check.c $MATHLIB
if test -f fpe_check  ; then
   ./fpe_check 2>/dev/null
   status=$?
else 
   echo fpe_check.c failed to compile 1>&2
   status=100
fi

case $status in
   0)  ;;  # good news do nothing
   3)      # reasonably good news

{
test -n "$verbose" && \
echo "	defining FPE_TRAPS_ON"
echo "#define" FPE_TRAPS_ON "1" >> confdefs.h
DEFS="$DEFS -DFPE_TRAPS_ON=1"
}

echo  X 'FPE_TRAPS_ON' '1' >> defines.out
test -n "$silent" || echo "checking for sigaction"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sigaction) || defined (__stub___sigaction)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sigaction(); sigaction();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  sigaction=1

fi
rm -f conftest*

test -n "$silent" || echo "checking for siginfo.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <siginfo.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  siginfo_h=1

fi
rm -f conftest*

if test "$sigaction" = 1 && test "$siginfo_h" = 1 ; then
   
{
test -n "$verbose" && \
echo "	defining SV_SIGINFO"
echo "#define" SV_SIGINFO "1" >> confdefs.h
DEFS="$DEFS -DSV_SIGINFO=1"
}

echo  X 'SV_SIGINFO' '1' >> defines.out
else
   test -n "$silent" || echo "checking for sigvec"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sigvec) || defined (__stub___sigvec)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sigvec(); sigvec();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  sigvec=1

fi
rm -f conftest*

   if test "$sigvec" = 1 && ./fpe_check x >> defines.out ; then :
   else 
{
test -n "$verbose" && \
echo "	defining NOINFO_SIGFPE"
echo "#define" NOINFO_SIGFPE "1" >> confdefs.h
DEFS="$DEFS -DNOINFO_SIGFPE=1"
}

echo  X 'NOINFO_SIGFPE' '1' >> defines.out
   fi
fi ;;

   1|2|4)   # bad news have to turn off traps
	    # only know how to do this on systemV and solaris
test -n "$silent" || echo "checking for ieeefp.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ieeefp.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  ieeefp_h=1

fi
rm -f conftest*

test -n "$silent" || echo "checking for fpsetmask"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_fpsetmask) || defined (__stub___fpsetmask)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char fpsetmask(); fpsetmask();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  fpsetmask=1

fi
rm -f conftest*

if test "$ieeefp_h" = 1 && test "$fpsetmask" = 1 ; then

{
test -n "$verbose" && \
echo "	defining FPE_TRAPS_ON"
echo "#define" FPE_TRAPS_ON "1" >> confdefs.h
DEFS="$DEFS -DFPE_TRAPS_ON=1"
}

echo  X 'FPE_TRAPS_ON' '1' >> defines.out

{
test -n "$verbose" && \
echo "	defining USE_IEEEFP_H"
echo "#define" USE_IEEEFP_H "1" >> confdefs.h
DEFS="$DEFS -DUSE_IEEEFP_H=1"
}

echo  X 'USE_IEEEFP_H' '1' >> defines.out
echo  X 'TURN_ON_FPE_TRAPS()' 'fpsetmask(fpgetmask()|FP_X_DZ|FP_X_OFL)' >> defines.out
test -n "$silent" || echo "checking for sigaction"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sigaction) || defined (__stub___sigaction)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sigaction(); sigaction();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  sigaction=1

fi
rm -f conftest*

test -n "$silent" || echo "checking for siginfo.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <siginfo.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  siginfo_h=1

fi
rm -f conftest*

if test "$sigaction" = 1 && test "$siginfo_h" = 1 ; then
   
{
test -n "$verbose" && \
echo "	defining SV_SIGINFO"
echo "#define" SV_SIGINFO "1" >> confdefs.h
DEFS="$DEFS -DSV_SIGINFO=1"
}

echo  X 'SV_SIGINFO' '1' >> defines.out
else
   test -n "$silent" || echo "checking for sigvec"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sigvec) || defined (__stub___sigvec)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sigvec(); sigvec();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  sigvec=1

fi
rm -f conftest*

   if test "$sigvec" = 1 && ./fpe_check x >> defines.out ; then :
   else 
{
test -n "$verbose" && \
echo "	defining NOINFO_SIGFPE"
echo "#define" NOINFO_SIGFPE "1" >> confdefs.h
DEFS="$DEFS -DNOINFO_SIGFPE=1"
}

echo  X 'NOINFO_SIGFPE' '1' >> defines.out
   fi
fi 

else
   if test $status != 4 ; then
      
{
test -n "$verbose" && \
echo "	defining FPE_TRAPS_ON"
echo "#define" FPE_TRAPS_ON "1" >> confdefs.h
DEFS="$DEFS -DFPE_TRAPS_ON=1"
}

echo  X 'FPE_TRAPS_ON' '1' >> defines.out
      test -n "$silent" || echo "checking for sigaction"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sigaction) || defined (__stub___sigaction)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sigaction(); sigaction();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  sigaction=1

fi
rm -f conftest*

test -n "$silent" || echo "checking for siginfo.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <siginfo.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  siginfo_h=1

fi
rm -f conftest*

if test "$sigaction" = 1 && test "$siginfo_h" = 1 ; then
   
{
test -n "$verbose" && \
echo "	defining SV_SIGINFO"
echo "#define" SV_SIGINFO "1" >> confdefs.h
DEFS="$DEFS -DSV_SIGINFO=1"
}

echo  X 'SV_SIGINFO' '1' >> defines.out
else
   test -n "$silent" || echo "checking for sigvec"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sigvec) || defined (__stub___sigvec)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sigvec(); sigvec();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  sigvec=1

fi
rm -f conftest*

   if test "$sigvec" = 1 && ./fpe_check x >> defines.out ; then :
   else 
{
test -n "$verbose" && \
echo "	defining NOINFO_SIGFPE"
echo "#define" NOINFO_SIGFPE "1" >> confdefs.h
DEFS="$DEFS -DNOINFO_SIGFPE=1"
}

echo  X 'NOINFO_SIGFPE' '1' >> defines.out
   fi
fi 
    fi

    case $status in
    1) 
cat 1>&2 <<'EOF'
Warning: Your system defaults generate floating point exception 
on divide by zero but not on overflow.  You need to 
#define TURN_ON_FPE_TRAPS() to handle overflow.
Please report this so I can fix this script to do it automatically.
EOF
;;
    2)
cat 1>&2 <<'EOF'
Warning: Your system defaults generate floating point exception 
on overflow  but not on divide by zero.  You need to 
#define TURN_ON_FPE_TRAPS() to handle divide by zero.
Please report this so I can fix this script to do it automatically.
EOF
;;
    4)
cat 1>&2 <<'EOF'
Warning: Your system defaults do not generate floating point
exceptions, but your math library does not support this behavior.
You need to
#define TURN_ON_FPE_TRAPS() 
Please report this so I can fix this script to do it automatically.
EOF
;;
    esac
fi  ;;

  *)  # some sort of disaster
cat 1>&2 <<'EOF'
The program `fpe_check' compiled from fpe_check.c seems to have
unexpectly blown up.  Please report this.
EOF
# quit or not ???
;;
esac 
rm -f fpe_check  # whew!!


# output config.h
(
cat<<'EOF'
/* config.h -- generated by configure */
#ifndef CONFIG_H
#define CONFIG_H

EOF
sed 's/^X/#define/' defines.out
cat<<'EOF'
#define HAVE_REAL_PIPES 1

#endif /* CONFIG_H */
EOF
) | tee config.h
rm defines.out



# The preferred way to propogate these variables is regular @ substitutions.
if test -n "$prefix"; then
  ac_prsub="s%^prefix\\([ 	]*\\)=\\([ 	]*\\).*$%prefix\\1=\\2$prefix%"
else
  prefix=/usr/local
fi
if test -n "$exec_prefix"; then
  ac_prsub="$ac_prsub
s%^exec_prefix\\([ 	]*\\)=\\([ 	]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
else
  exec_prefix='${prefix}' # Let make expand it.
fi

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.

trap 'rm -f config.status; exit 1' 1 2 15
echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $configure_args

ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
    exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "config.status generated by autoconf version 1.11"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

trap 'rm -f Makefile; exit 1' 1 2 15
CC='$CC'
CPP='$CPP'
CFLAGS='$CFLAGS'
MATHLIB='$MATHLIB'
YACC='$YACC'
BINDIR='$BINDIR'
MANDIR='$MANDIR'
MANEXT='$MANEXT'
LIBS='$LIBS'
srcdir='$srcdir'
top_srcdir='$top_srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
DEFS='$DEFS'
ac_prsub='$ac_prsub'
ac_vpsub='$ac_vpsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF

ac_given_srcdir=$srcdir

CONFIG_FILES=${CONFIG_FILES-"Makefile"}
for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/$ac_dir"
  else
    ac_dir_suffix=
  fi

  # A "../" for each directory in $ac_dir_suffix.
  ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dir_suffix"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac

  echo creating "$ac_file"
  rm -f "$ac_file"
  comment_str="Generated automatically from `echo $ac_file|sed 's|.*/||'`.in by configure."
  case "$ac_file" in
    *.c | *.h | *.C | *.cc | *.m )  echo "/* $comment_str */" > "$ac_file" ;;
    * )          echo "# $comment_str"     > "$ac_file" ;;
  esac
  sed -e "
$ac_prsub
$ac_vpsub
$extrasub
s%@CC@%$CC%g
s%@CPP@%$CPP%g
s%@CFLAGS@%$CFLAGS%g
s%@MATHLIB@%$MATHLIB%g
s%@YACC@%$YACC%g
s%@BINDIR@%$BINDIR%g
s%@MANDIR@%$MANDIR%g
s%@MANEXT@%$MANEXT%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
s%@prefix@%$prefix%g
s%@exec_prefix@%$exec_prefix%g
s%@DEFS@%$DEFS%
" $ac_given_srcdir/${ac_file}.in >> $ac_file
fi; done


exit 0
EOF
chmod +x config.status
# Some shells look in PATH for config.status without the "./".
test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} ./config.status

